Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036237
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2017-06-12 22:232017-09-21 16:49
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision07c5c7f6a897
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036237: Internal Consumption is creating an entry in Product - Transactions tab (M_TRANSACTION) for a non stocked product

DescriptionInternal Consumption is creating an entry in Product - Transactions tab (M_TRANSACTION) for a non stocked product
Steps To ReproduceAs group admin role:
   Go to Warehouse and Storage Bin window and select España Region Norte record:
      Select storage bin Rn-0-0-0 and Change status to Backflush
   Go to Product window and create a new record:
      SearchKey/Name: Product
      Product Type: Item
      Stocked: No
   Go to Internal Consumption window and create a new record:
      Name: Issue
      Create a new record in Lines tab:
        Product: Product
        Movement Quantity: 2
      Process it
   Check in product window a new transaction was created for the previous product created
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036061 closedcollazoandy4 Bill Of Materials Production is creating an entry in Product - Transactions tab (M_TRANSACTION) for a non stocked product 

-  Notes
(0097780)
collazoandy4 (developer)
2017-06-30 00:06

Test Plan
As group admin role:
   Go to Warehouse and Storage Bin window and select España Region Norte record:
      Select storage bin Rn-0-0-0 and Change status to Backflush
   Go to Product window and create a new record:
      SearchKey/Name: Product
      Product Type: Item
      Stocked: No
   Go to Internal Consumption window and create a new record:
      Name: Issue
      Create a new record in Lines tab:
        Product: Product
        Movement Quantity: 2
      Process it
   Check in product window no new transaction is created for the previous product created
(0097828)
hgbot (developer)
2017-07-04 11:09

Repository: erp/devel/pi
Changeset: 07c5c7f6a897af8157716af54c2e4bc6a306d48a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jun 29 15:30:59 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/07c5c7f6a897af8157716af54c2e4bc6a306d48a [^]

Fixes issue 36237: Internal Consumption is creating transaction for non stocked

The transactions created for the consumption lines doesn't take into account if
the product is not stocked. Now a join is made to select only the consumption lines
with stocked products

---
M src-db/database/model/functions/M_INTERNAL_CONSUMPTION_POST1.xml
---
(0097829)
aferraz (developer)
2017-07-04 11:09

Code review + Testing OK
(0099231)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-12 22:23 collazoandy4 New Issue
2017-06-12 22:23 collazoandy4 Assigned To => Triage Finance
2017-06-12 22:23 collazoandy4 Modules => Core
2017-06-12 22:23 collazoandy4 Triggers an Emergency Pack => No
2017-06-12 22:24 collazoandy4 Relationship added related to 0036061
2017-06-28 21:05 collazoandy4 Status new => scheduled
2017-06-28 21:05 collazoandy4 Assigned To Triage Finance => collazoandy4
2017-06-30 00:06 collazoandy4 Note Added: 0097780
2017-07-04 11:09 hgbot Checkin
2017-07-04 11:09 hgbot Note Added: 0097828
2017-07-04 11:09 hgbot Status scheduled => resolved
2017-07-04 11:09 hgbot Resolution open => fixed
2017-07-04 11:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/07c5c7f6a897af8157716af54c2e4bc6a306d48a [^]
2017-07-04 11:09 aferraz Review Assigned To => aferraz
2017-07-04 11:09 aferraz Note Added: 0097829
2017-07-04 11:09 aferraz Status resolved => closed
2017-07-04 11:09 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099231


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker